Loading...
Searching...
No Matches
common.h File Reference
`#include "HalideRuntime.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Runtime
namespace | Halide::Runtime::Internal

## Macros

#define | HALIDE_CHECK(user_context, cond)

## Functions

size_t | Halide::Runtime::Internal::get_allocated_system_memory ()
void * | Halide::Runtime::Internal::allocate_system (void *user_context, size_t bytes)
void | Halide::Runtime::Internal::deallocate_system (void *user_context, void *aligned_ptr)

## Macro Definition Documentation

## HALIDE_CHECK

#define HALIDE_CHECK | ( |  | user_context,
|  |  | cond )

Value:
do { \
if (!(cond)) { \
halide_print(user_context, __FILE__ ":" _halide_expand_and_stringify(__LINE__) " HALIDE_CHECK() failed: " #cond "\n"); \
abort(); \
} \
} while (0)
_halide_expand_and_stringify
#define _halide_expand_and_stringify(x)
Definition runtime_internal.h:270

Definition at line 14 of file common.h.